<?php
 /**
 * Class Menu Page
 *
 * @package    ChatGPT-OpenAI Content Generator
 * @author     JH Fahim
 * @license    GNU General Public License, version 3
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

class mych_Chatgpt_OpenAI_Menu_Page{
    public function __construct()
    {
        add_action('admin_menu', array($this, 'cicg_generate_content_chatgpt_menu_page'));
    }

    public function cicg_generate_content_chatgpt_menu_page() {
       /* add_menu_page(
            __( 'ChatGPT-AI Content Generator', 'chatgpt' ),
            'ChatGPT-AI Content Generator',
            'manage_options',
            'cicg-chatgpt-content-generator',
            'cicg_admin_deshboard_display',
            esc_url(plugin_dir_url( dirname( __FILE__ )) . 'img/cicg-chatgpt-icon.png'),
            6
        );

        add_submenu_page(
            'cicg-chatgpt-content-generator', 
            __('Dashboard', 'caacg'),
            __('Dashboard', 'caacg'),
           'manage_options', 
           'cicg-chatgpt-content-generator'  
        );  
        
        add_submenu_page(
            'cicg-chatgpt-content-generator', 
            __('Post Schedule', 'caacg'),
            __('Post Schedule', 'caacg'),
           'manage_options', 
           'cicg-api-post-schedule',
           'cicg_post_schedule_display'
        );

        add_submenu_page(
            'cicg-chatgpt-content-generator',
            __('Settings', 'caacg'),
            __('Settings', 'caacg'),
           'manage_options', 
           'cicg-api-post-settings',
           'cicg_chatgpt__general_settings_display'
        );  */
         
    }


}

new mych_Chatgpt_OpenAI_Menu_Page();



